Skip to main content

Get user tags

Retrieve tags for one or more users.

Request method

POST: https://Base URL/v4/user/tag/batch/get

Rate limit: 100 requests per second

Signature required: All server API requests require signature verification. See API request signature.

Request body

The request body is in application/json format and supports the following parameters:

ParameterTypeRequiredDescription
userIdsString[]YesUser IDs. Maximum 50 per request.

Request example

HTTP
POST /v4/user/tag/batch/get HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408706337
Signature: 890b422b75c1c5cb706e4f7921df1d94e69c17f4
Content-Type: application/json

{"userIds":["u01","u02"]}

Response

FieldTypeDescription
codeNumberStatus code. 0 indicates success.
result.usersObject[]List of user tag entries.
result.users[].userIdStringUser ID.
result.users[].tagsString[]List of tags for this user.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 0,
"result": {
"users": [
{"userId": "u01", "tags": ["tag4", "tag3"]},
{"userId": "u02", "tags": ["tag4", "tag3"]}
]
}
}